rev to 0.4.1 in prep for publishing
2 files changed
tree: abf127a7410c95950284f04a07d0cc505cee5548
  1. .github/
  2. example/
  3. lib/
  4. test/
  5. tool/
  6. .gitignore
  7. analysis_options.yaml
  8. CHANGELOG.md
  9. LICENSE
  10. pubspec.yaml
  11. README.md
README.md

Dart CI pub package package publisher

Lightweight browser API bindings built around JS static interop.

What's this?

This package exposes browser APIs. It's generated from the Web IDL definitions and uses recent Dart language features for zero-overhead bindings.

This package is intended to replace dart:html and similar Dart SDK libraries. It will support access to browser APIs from Dart code compiled to either JavaScript or WebAssembly.

Status

The APIs in this package are still fairly provisional and could change rapidly. We'll continue to use semantic versioning as we evolve the APIs.

Usage

import 'package:web/web.dart';

void main() {
  final div = document.querySelector('div') as HTMLDivElement;
  div.textContent = 'Text set at ${DateTime.now()}';
}

Web IDL version

Based on @webref/idl 3.39.1.